aboutsummaryrefslogtreecommitdiffstats
path: root/util
diff options
context:
space:
mode:
authorPete Johanson <peter@peterjohanson.com>2020-05-20 11:09:13 -0400
committerGitHub <noreply@github.com>2020-05-20 08:09:13 -0700
commit3ad2be52a7098c269d741f8d59a424afdbd7302d (patch)
tree815e12fb6d1cf2c3c0900b036cf8fcdd8524c005 /util
parent0fbcb41c8509279751b8676211b8686b1b866508 (diff)
downloadfirmware-3ad2be52a7098c269d741f8d59a424afdbd7302d.tar.gz
firmware-3ad2be52a7098c269d741f8d59a424afdbd7302d.tar.bz2
firmware-3ad2be52a7098c269d741f8d59a424afdbd7302d.zip
CLI: Improve experience when running `qmk setup` on FreeBSD. (#8798)
* CLI: Improve experience when running `qmk setup` on FreeBSD. * Install the `avrdude` package as well. * Switch to installing python packages w/ `--user` flag. * Basic getting started sections for FreeBSD. * Update `util/freebsd_install.sh` for root/non-root branches. * Add ID to doc section. Co-Authored-By: skullydazed <skullydazed@users.noreply.github.com> * Add ID to another docs section. Co-Authored-By: skullydazed <skullydazed@users.noreply.github.com> * Use `; then` in script for consistency. Co-Authored-By: skullydazed <skullydazed@users.noreply.github.com> * Updated to use sudo in one shot if available. * Apply suggestions from code review Co-authored-by: Erovia <Erovia@users.noreply.github.com> * Style fixes for latest version in master. * Apply suggestions from code review Co-authored-by: Ryan <fauxpark@gmail.com> Co-authored-by: skullydazed <skullydazed@users.noreply.github.com> Co-authored-by: Erovia <Erovia@users.noreply.github.com> Co-authored-by: Ryan <fauxpark@gmail.com>
Diffstat (limited to 'util')
-rwxr-xr-xutil/freebsd_install.sh26
1 files changed, 22 insertions, 4 deletions
diff --git a/util/freebsd_install.sh b/util/freebsd_install.sh
index 815759203..09669024c 100755
--- a/util/freebsd_install.sh
+++ b/util/freebsd_install.sh
@@ -1,7 +1,5 @@
#!/bin/sh
-util_dir=$(dirname "$0")
-pkg update
-pkg install -y \
+packages=$(cat <<EOF
git \
wget \
gmake \
@@ -13,9 +11,29 @@ pkg install -y \
avr-libc \
dfu-programmer \
dfu-util \
+ avrdude \
arm-none-eabi-gcc \
arm-none-eabi-binutils \
arm-none-eabi-newlib \
diffutils \
python3
-pip3 install -r ${util_dir}/../requirements.txt
+EOF
+)
+util_dir=$(dirname "$0")
+if [ $(id -u) = 0 ]; then
+ pkg update
+ pkg install -y ${packages}
+ echo ""
+ echo "Re-run the setup as your normal user to install the qmk python dependencies"
+ exit 1
+else
+ if command -v sudo > /dev/null 2>&1; then
+ sudo pkg update
+ sudp pkg install -y ${packages}
+ else
+ echo "Make sure you run setup as root first to install base OS dependencies..."
+ echo ""
+ fi
+
+ python3 -m pip install --user -r ${util_dir}/../requirements.txt
+fi